package model

import (
	"gorm.io/gorm"
)

var _ UserNobilityModel = (*customUserNobilityModel)(nil)

type (
	// UserNobilityModel is an interface to be customized, add more methods here,
	// and implement the added methods in customUserNobilityModel.
	UserNobilityModel interface {
		userNobilityModel
	}

	customUserNobilityModel struct {
		*defaultUserNobilityModel
	}
)

// NewUserNobilityModel returns a model for the database table.
func NewUserNobilityModel(conn *gorm.DB) UserNobilityModel {
	return &customUserNobilityModel{
		defaultUserNobilityModel: newUserNobilityModel(conn),
	}
}
